Kerbal Space Program - Bug #10045

Clamp-O-Tron Fails to Function
06/25/2016 05:34 AM - zwieg88

Status: Closed Start date: 06/25/2016
Severity: Normal % Done: 100%
Assignee: Claw

Category: Gameplay

Target version: 1.2.0

Version: 1.1.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Description:

To simply put it: the Clamp-O-Tron is NOT working whenever the 'Undock’ button is pressed. And if the button is pressed it outright
disappears.

Link to pictures illustrating the issue:

http://imgur.com/a/ZPGo1

The problem occurred after | had successfully docked with the lander can after achieving LKO, which wasn't an issue at all. After
travelling to the Mun and getting ready to separate the lander module from the main ship the clamp-o-tron simply failed to work. No
amount of reloading or different testings helped to solve the problem.

Since then | have terminated flight, however the issue is persistent with every new ship | put into orbit that resembles the same one
the issue started with (so far | haven't tested different assemblies, though | doubt it'll make much difference). The craft file is added
as an attachment to this report as well as the save file with the persistent problem and the system information info sheet (DxDiag.txt).

Through the forums | have confirmed | am not the only with one experiencing this issue as well as the issue being repeated with the
Clamp-O-Tron Sr, so that rules out this being an isolated incident.

My version is 1.1.3 updated through the Steam client from 1.1.2, NO MODS APPLIED.
| hope that through the information provided in this report a solution to this problem may be found.

Thanks in advance!

Related issues:

Related to Kerbal Space Program - Bug #10007: EVA Boarding fails Closed 06/22/2016
Has duplicate Kerbal Space Program - Bug #10083: Docking issue - Won't undock Duplicate 07/03/2016
History

#1 - 06/26/2016 02:38 AM - Anth12
- File Quick Save Before Undocking issue.sfs added

- File Quicksave after undocking problem starts.sfs added

| had the same problem yesterday with my space station. But i had just tried out hyperedit and mechjeb and kerbal alarm for the first time and
assumed it was related to that.

At the time | also had a big drop in frame rate...the game became nonresponsive for moments at a time...to the point | used Alt F4 to end KSP.
(Windows 10)

Again note my save had mods at the time the problem started.
With no mods | found the following results for the quick saves | supplied

If docking port A has undock as an option and docking port B doesnt...they wont undock when undock is pressed and the undock option disappears
forever
http://imgur.com/a/ZPGo1

If docking port A had decouple as an option and docking port B has decouple as well as an option they will undock
Also my station only has the following docking ports: junior, standard and senior.
#2 - 06/27/2016 03:33 PM - Int_10h

- Status changed from New to Confirmed

- % Done changed from 0 to 10

| fixed this bug in my saved game, immediately after using the "Undock" button, exiting the game, editing by hand the persistent.sfs file, reconnecting
both dockUId's and changing their state to "Docked (docker)".

| hope this can be useful to someone.
#3 - 06/30/2016 03:23 PM - sal_vager

- Status changed from Confirmed to Need More Info

- % Done changed from 10 to 0

Guys, can you help by finding a means to reproduce this in a stock install and a new save (not a save that used to be used with mods), | have not had
success reproducing this so far.

Things to note:

Does this only occur after loading a docked vessel, or can it occur before?
Does it only happen with one docking port type?

What is the simplest method of reproduction? (fewest parts /steps)

Does it only occur in space?

#4 - 06/30/2016 09:12 PM - Int_10h

It occurs after loading a docked vessel and before.

It occurs at least with both Clamp-O-Tron Docking Port and the Clamp-O-Tron Shielded Docking Port. | have not observed it with Jr. version, but |
would not dismiss that option.

It occurs after docking two vessels in space, but not always. | could see a couple of times while creating a space station orbiting Kerbin (with a lot of
docking ports), but | can't help with the exact way to reproduce it.

| hope this can be useful.

sal_vager wrote:

Guys, can you help by finding a means to reproduce this in a stock install and a new save (not a save that used to be used with mods), | have
not had success reproducing this so far.

Things to note:

Does this only occur after loading a docked vessel, or can it occur before?
Does it only happen with one docking port type?

What is the simplest method of reproduction? (fewest parts /steps)

Does it only occur in space?

#5 - 06/30/2016 11:09 PM - Trekkerjoe

- File BUG.sfs added

- File Undocking Glitch.craft added

- File quicksave.sfs added

- Status changed from Need More Info to Updated
- % Done changed from 0 to 10

Trekkerjoe here, | happen to have found a reliable way to reproduce this bug on a new instance of my game.

I am running KSP 1.1.3.1289 on a 64-bit Windows 10 desktop, equipped with 32 gigabytes of RAM, and a GTX960. The CPU is an i7-6700K
| first encountered this bug when | was tried to undock a ferry from my space station. When | tried to disembark, the docking ports jammed in the
exact same way as described in the OP. | was able to fix it by editing the save file (included as BUG.sfs). All | did was change 'State = Docked (same
ship)' to State = Docked (docker).

| went digging around the save file, and cross-referencing different threads on different threads when | realized what might be happening. It could be
the fairings! After | realized this possibility, | immediately created a new game solely for bugtesting and created a rover with a fairing covering the
port. Sure enough, when | docked them together, | got the exact same bug. | reproduced this two more times just to be sure. All of them are now
bugged.

T26:1 6DES6 1631 did bLgmEdtbiate.
| have the quicksave as well as the .craft file used in my example.

To summarize, the steps to reproduce are as follows:

1 -Build a small rover with an attachment point on the front.

2 -Attach a fairing, but don't create it just yet.

3 -Attach the dock to the base of the fairing.

4 -Create the fairing so that it overlaps the dock.

5 -Save(you should always save) and launch two of these craft.

6 -Dock them, quicksave, and observe what happens when you try to undock them.

Things to try:

-Using different docking ports.

-Putting the entire rover inside of a fairing, instead of just the docker.
-Changing the save file to reflect that it is docked to get them undocked.
-Decoupling the fairing from the craft to see if it fixes the dock.

-Ete.

Possible workaround:

0 -Back up your save file, or create a named quicksave to work on.

1 -Disable crossfeed on the docking ports and quicksave.

2 -Use control-F to find the docking port you selected. It will have the state 'active = True' Under the tag 'EnableXFeed'
2b -Alternatively, you can search the name of the docked craft if the names are unique.

3 -Make note of it's UIDs.

4 -Follow the UIDs of the docking ports until you find the one with 'State = Docked (same vessel)'

5 -Change the state to 'Docked (docker)'

6 -Save your work and load up the quicksave.

7 -When you click undock, they should behave as normal.

Notes:

-It appears that if both rovers keep their fairings, they reliably break, even if you decouple them afterwards.

-This is not the case when the fairings are decoupled beforehand. This should be tested further, as they successfully undocked even when only one
of the fairings was decoupled beforehand.

#6 - 07/17/2016 11:54 PM - Claw
- Related to Bug #10083: Docking issue - Won't undock added

#7 - 07/17/2016 11:55 PM - Claw
- Status changed from Updated to Confirmed

- Assignee set to Claw

#8 - 07/17/2016 11:55 PM - Claw
- Related to Bug #10007: EVA Boarding fails added

#9 - 07/20/2016 01:33 PM - Warezcrawler

Stock bug fixes thread have a workaround until the fix is implemented in ksp :-)
http://forum.kerbalspaceprogram.com/index.php?/topic/87737-ksp-v113-stock-bug-fix-modules-release-v113b1-10-jul-16/

https://github.com/ClawKSP/KSP-Stock-Bug-Fix-Modules/releases/tag/vi.1.3b.1

Hope this can help in the meantime.

#11 - 10/13/2016 12:28 PM - Squelch
- Related to deleted (Bug #10083: Docking issue - Won't undock)

#12 - 10/13/2016 12:28 PM - Squelch
- Has duplicate Bug #10083: Docking issue - Won't undock added
http://forum.kerbalspaceprogram.com/index.php?/topic/87737-ksp-v113-stock-bug-fix-modules-release-v113b1-10-jul-16/
https://github.com/ClawKSP/KSP-Stock-Bug-Fix-Modules/releases/tag/v1.1.3b.1

#13 - 10/13/2016 12:29 PM - Squelch
- Status changed from Confirmed to Ready to Test
- Target version set to 1.2.0

- % Done changed from 10 to 80

this should be fixed in KSP 1.2

#14 - 11/06/2016 08:02 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100

Closing as this was fixed in 1.2.0

Files

Unmodded Sandbox CLAMP ISSUE.sfs 442 KB 06/25/2016 zwieg88
quicksave.sfs 442 KB 06/25/2016 zwieg88
persistent.sfs 442 KB 06/25/2016 zwieg88
Apollo K 03.craft 391 KB 06/25/2016 zwieg88
output_log.ixt 632 KB 06/25/2016 zwieg88
settings.cfg 26.3 KB 06/25/2016 zwieg88
KSP.log 292 KB 06/25/2016 zwieg88
DxDiag.txt 79.3 KB 06/25/2016 zwieg88
Quick Save Before Undocking issue.sfs 2.88 MB 06/26/2016 Anth12
Quicksave after undocking problem starts.sfs 3.16 MB 06/26/2016 Anth12
BUG.sfs 2.92 MB 06/30/2016 Trekkerjoe
Undocking Glitch.craft 40.2 KB 06/30/2016 Trekkerjoe
quicksave.sfs 312 KB 06/30/2016 Trekkerjoe
